package com.anbo.programmedlayout;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

public class FullyProgrammedLayout extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //setContentView(R.layout.activity_fully_programmed_layout);
        // XML layout file NOT used

        ViewGroup.LayoutParams params =
                new LinearLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT,
                        ViewGroup.LayoutParams.WRAP_CONTENT);
        LinearLayout layout = new LinearLayout(this);
        layout.setOrientation(LinearLayout.VERTICAL);
        this.addContentView(layout, params);

        TextView textView = new TextView(this);
        textView.setText("This Activity is totally programmed. No layout XML file");
        textView.setLayoutParams(params);
        layout.addView(textView);

        Button button = new Button(this);
        button.setText("Next");
        button.setLayoutParams(params);
        layout.addView(button);

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(getBaseContext(), PartiallyProgrammedActivity.class);
                startActivity(intent);
            }
        });
    }
}
